object Dictionary: TDictionary
  Left = 183
  Top = 167
  Width = 673
  Height = 388
  Hint = 'Dictionary'
  AutoSize = True
  Caption = 'Dictionary'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  FormStyle = fsMDIChild
  OldCreateOrder = False
  Position = poDefault
  ShowHint = True
  Visible = True
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object SpeedButton1: TSpeedButton
    Left = 0
    Top = 336
    Width = 49
    Height = 22
    Hint = 'Add new entry'
    Action = InsertRecord
  end
  object SpeedButton2: TSpeedButton
    Left = 48
    Top = 336
    Width = 49
    Height = 22
    Hint = 'Update existing entry'
    Action = UpdateRecord
  end
  object SpeedButton3: TSpeedButton
    Left = 96
    Top = 336
    Width = 49
    Height = 22
    Hint = 'Delete entry'
    Action = DeleteRecord
  end
  object Label1: TLabel
    Left = 152
    Top = 336
    Width = 32
    Height = 13
    Caption = 'Label1'
  end
  object weWordSearch: TEdit
    Left = 0
    Top = 0
    Width = 145
    Height = 21
    Hint = 'Enter word'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 0
    OnChange = weWordSearchChange
  end
  object DBGrid1: TDBGrid
    Left = 0
    Top = 24
    Width = 145
    Height = 305
    Hint = 'List of words in dictionary'
    DataSource = DataSource1
    FixedColor = clNone
    Options = [dgColumnResize, dgAlwaysShowSelection, dgConfirmDelete, dgCancelOnExit]
    ParentShowHint = False
    ShowHint = True
    TabOrder = 1
    TitleFont.Charset = DEFAULT_CHARSET
    TitleFont.Color = clWindowText
    TitleFont.Height = -11
    TitleFont.Name = 'MS Sans Serif'
    TitleFont.Style = []
    Columns = <
      item
        Expanded = False
        FieldName = 'CWORD'
        Visible = True
      end>
  end
  object DBMemo1: TDBMemo
    Left = 152
    Top = 24
    Width = 513
    Height = 305
    Hint = 'Word definition'
    DataField = 'BDEFINITION'
    DataSource = DataSource1
    ParentShowHint = False
    ShowHint = True
    TabOrder = 2
  end
  object wbtFile: TButton
    Left = 432
    Top = 336
    Width = 75
    Height = 25
    Hint = 
      'Import files in dict format (can be downloaded from ftp://ftp.ai' +
      'oe.org/pub/dict/)'
    Caption = 'File imp/exp'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    OnClick = wbtFileClick
  end
  object wbtDelete: TButton
    Left = 584
    Top = 336
    Width = 75
    Height = 25
    Hint = 'Delete all entries from dictionary'
    Caption = 'Delete all'
    TabOrder = 5
    OnClick = wbtDeleteClick
  end
  object wbtDup: TButton
    Left = 508
    Top = 336
    Width = 75
    Height = 25
    Hint = 'Remove duplicates (the same word and definition)'
    Caption = 'Remove Dup'
    TabOrder = 6
    OnClick = wbtDupClick
  end
  object wbtDict: TButton
    Left = 356
    Top = 336
    Width = 75
    Height = 25
    Hint = 
      'Import files in dict format (can be downloaded from ftp://ftp.ai' +
      'oe.org/pub/dict/)'
    Caption = 'Dict import'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 3
    OnClick = wbtDictClick
  end
  object wtbEmpty: TCheckBox
    Left = 152
    Top = 0
    Width = 201
    Height = 17
    TabStop = False
    Caption = 'show only words with empty definition'
    TabOrder = 7
    OnClick = wtbEmptyClick
  end
  object DataSource1: TDataSource
    DataSet = DMDictionary.IBWordsQuery
    Top = 24
  end
  object ActionList1: TActionList
    Left = 152
    Top = 328
    object InsertRecord: TAction
      Caption = 'Add'
      ImageIndex = 0
      ShortCut = 45
      OnExecute = InsertRecordExecute
    end
    object UpdateRecord: TAction
      Caption = 'Update'
      ShortCut = 113
      OnExecute = UpdateRecordExecute
    end
    object DeleteRecord: TAction
      Caption = 'Delete'
      ShortCut = 8238
      OnExecute = DeleteRecordExecute
    end
  end
  object IBFindWord: TIBSQL
    Database = DMDictionary.IBDbDictionary
    ParamCheck = True
    Transaction = DMDictionary.IBDbDictTran1
    Left = 232
    Top = 336
  end
end
