//---------------------------------------------------------------------------

#ifndef dictH
#define dictH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <DB.hpp>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <IBCustomDataSet.hpp>
#include <IBTable.hpp>
#include <IBQuery.hpp>
#include <DBCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <IBSQL.hpp>

//---------------------------------------------------------------------------
class TDictionary : public TForm
{
__published:	// IDE-managed Components
        TEdit *weWordSearch;
        TDBGrid *DBGrid1;
        TDataSource *DataSource1;
        TActionList *ActionList1;
        TAction *InsertRecord;
        TAction *UpdateRecord;
        TAction *DeleteRecord;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TSpeedButton *SpeedButton3;
        TDBMemo *DBMemo1;
        TButton *wbtFile;
        TIBSQL *IBFindWord;
        TButton *wbtDelete;
        TButton *wbtDup;
        TLabel *Label1;
        TButton *wbtDict;
        TCheckBox *wtbEmpty;
        void __fastcall weWordSearchChange(TObject *Sender);
        void __fastcall InsertRecordExecute(TObject *Sender);
        void __fastcall UpdateRecordExecute(TObject *Sender);
        void __fastcall DeleteRecordExecute(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall wbtFileClick(TObject *Sender);
        void __fastcall wbtDeleteClick(TObject *Sender);
        void __fastcall wbtDupClick(TObject *Sender);
        void __fastcall countWords(void);
        void __fastcall wbtDictClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall OpenQuery();
        void __fastcall wtbEmptyClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TDictionary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDictionary *Dictionary;
//---------------------------------------------------------------------------
#endif
