//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "About.h"
#include "dict.h"
#include "files.h"


//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------

__fastcall TMainForm::TMainForm(TComponent *Owner)
	: TForm(Owner)
{

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CreateMDIChild(String Name)
{
	TMDIChild *Child;

	//--- create a new MDI child window ----
	Child = new TMDIChild(Application);
	Child->Caption = Name;
	if (FileExists (Name))
		Child->Memo1->Lines->LoadFromFile(Name);
}
//---------------------------------------------------------------------------



void __fastcall TMainForm::HelpAbout1Execute(TObject *Sender)
{
	AboutBox->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileExit1Execute(TObject *Sender)
{
	Close();
}
//---------------------------------------------------------------------------













void __fastcall TMainForm::DictAddExecute(TObject *Sender)
{
        Dictionary->InsertRecordExecute(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Update1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->UpdateRecordExecute(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Delete1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->DeleteRecordExecute(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Dictimport1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->wbtDictClick(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Fileimportexport1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->wbtFileClick(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Removeduplicates1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->wbtDupClick(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Deleteall1Click(TObject *Sender)
{
     Dictionary->BringToFront();
     Dictionary->wbtDeleteClick(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Add2Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtAddClick(this);

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Update2Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtUpdateClick(this);

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Delete2Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtDeleteClick(this);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::WordsperSection1Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtWordsPerSectionClick(this);

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Practise1Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtPractiseClick(this);

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::ExporttoSuperMemo1Click(TObject *Sender)
{
     FilesF->BringToFront();
     FilesF->wbtExportSMClick(this);

}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Copywordswithoutdefinitiontodictionary1Click(
      TObject *Sender)
{
        FilesF->CreateWordsWithoutDefinitions();
        Dictionary->BringToFront();
        Dictionary->OpenQuery();
}
//---------------------------------------------------------------------------

