//---------------------------------------------------------------------------

#ifndef dmdictH
#define dmdictH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <IBDatabase.hpp>
#include <IBSQL.hpp>
#include <IBCustomDataSet.hpp>
#include <IBQuery.hpp>
//---------------------------------------------------------------------------
class TDMDictionary : public TDataModule
{
__published:	// IDE-managed Components
        TIBTransaction *IBDbDictTran1;
        TIBDatabase *IBDbDictionary;
        TIBSQL *IBCreateTables;
        TIBQuery *IBWordsQuery;
        TIBSQL *IBGeneratorQuery;
private:	// User declarations
public:		// User declarations
        __fastcall TDMDictionary(TComponent* Owner);
        bool OpenDatabase(String dbName);
        bool CloseDatabase();
        bool QueryWords(String sWordMask, bool emptyOnly);
};
//---------------------------------------------------------------------------
extern PACKAGE TDMDictionary *DMDictionary;
//---------------------------------------------------------------------------
#endif
