//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "filupdate.h"
#include "dmuser.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFileUpdate *FileUpdate;
//---------------------------------------------------------------------------
__fastcall TFileUpdate::TFileUpdate(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

__fastcall TFileUpdate::TFileUpdate(TComponent* Owner, int oper, int iwrd)
        : TForm(Owner)
{
        operation = oper;
        iFileNumber = iwrd;


}

void __fastcall TFileUpdate::wbt_OKClick(TObject *Sender)
{
        int iNewFileNumber, iWords = 0;
        int iFileHandle, iFileLength, iScanPos, iBufferSize, iBufferPos, iWordIndex, iScanType;
        int iNewLines, iSectionId, iWordsInSection;
        char szBuffer[4096];
        char szWord[256];

        ModalResult = mrNone;
        if(operation == 0) {
                try {
                IBQuery1->Close();
                IBSQL1->Close();
                IBQuery1->Transaction->Active = true;
                IBSQL1->Transaction->Active = true;
                IBSQL1->SQL->Clear();
                IBSQL1->SQL->Add("SELECT GEN_ID(gen_iFileNumber, 1) FROM RDB$DATABASE");
                IBSQL1->ExecQuery();
                iNewFileNumber = IBSQL1->Fields[0]->AsInteger;

                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add("INSERT INTO Files(iFileNumber, cName, cFileName, iSectionType, iSectionSize) " \
                                   "   VALUES (:iFileNumber, :cName, :cFileName, :iSectionType, :iSectionSize)");

                IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                IBQuery1->ParamByName("cName")->AsString = weName->Text;
                IBQuery1->ParamByName("cFileName")->AsString = weFileName->Text;

                if(RadioButton1->Checked) {
                        IBQuery1->ParamByName("iSectionType")->AsInteger = 1;
                        IBQuery1->ParamByName("iSectionSize")->AsInteger = StrToInt(weNumLines->Text);
                }
                else {
                        IBQuery1->ParamByName("iSectionType")->AsInteger = 2;
                        IBQuery1->ParamByName("iSectionSize")->AsInteger = StrToInt(weNumWords->Text);
                }
                IBQuery1->ExecSQL();

                // open file and start processing chars
                iFileHandle = FileOpen(weFileName->Text, fmOpenRead | fmShareDenyNone);
				if(iFileHandle < 0) { throw EFOpenError("File " + weFileName->Text + " not found!", 0); }
				iFileLength = FileSeek(iFileHandle, 0, 2);
				if(iFileLength <= 0) { throw EFOpenError("File " + weFileName->Text + " has length of 0 bytes!", 0); }
                FileSeek(iFileHandle, 0, 0);
                ProgressBar1->Max = iFileLength;
                ProgressBar1->Position = 0;
                ProgressBar1->Visible = true;

                iScanPos = -1;
                iBufferSize = 0;
                iBufferPos  = 0;
                iWordIndex = 0;
                iScanType = 0; // 0 - scan for word, 1 - scan for space

                iSectionId = 1;
                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add("INSERT INTO Sections(iFileNumber, iSectionId, iFileSeek) " \
                                   "   VALUES (:iFileNumber, :iSectionId, :iFileSeek)");
                IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                IBQuery1->ParamByName("iFileSeek")->AsInteger = 0;
                IBQuery1->ExecSQL();
                iWordsInSection = 0;
                while(1) {
                        iBufferSize = FileRead(iFileHandle, szBuffer, sizeof(szBuffer));
                        for(int i = 0; i<iBufferSize;i++) {
								iScanPos++;
                                if(RadioButton2->Checked == true &&
                                        ( iScanPos % StrToInt(weNumWords->Text) ) == 0) {



                                        IBQuery1->SQL->Clear();
                                        IBQuery1->SQL->Add(" UPDATE Sections "\
                                                           " SET iNewWords = :iNewWords "\
                                                           " WHERE iFileNumber = :iFileNumber "\
                                                           "    AND iSectionId = :iSectionId;");
                                        IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                        IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                                        IBQuery1->ParamByName("iNewWords")->AsInteger = iWordsInSection;
                                        IBQuery1->ExecSQL();
                                        IBQuery1->Transaction->CommitRetaining();                                        
                                        iWordsInSection = 0;

                                        iSectionId++;
                                        IBQuery1->SQL->Clear();
                                        IBQuery1->SQL->Add("INSERT INTO Sections(iFileNumber, iSectionId, iFileSeek) " \
                                                           "   VALUES (:iFileNumber, :iSectionId, :iFileSeek)");
                                        IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                        IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                                        IBQuery1->ParamByName("iFileSeek")->AsInteger = iScanPos;
                                        IBQuery1->ExecSQL();
                                }

                                if(iScanType == 0) {
                                        if(isalpha( szBuffer[i] ) ) {
                                                szWord[iWordIndex] = szBuffer[i];
                                                iWordIndex++;
                                                iNewLines = 0;
                                        } else
                                        {
                                           if(iWordIndex > 0 &&
                                                (isspace(szBuffer[i]) || !isdigit(szBuffer[i])) ) {
                                                szWord[iWordIndex] = 0;

                                                // add Word to database
                                                IBQuery1->SQL->Clear();
                                                IBQuery1->SQL->Add("SELECT iWordId "\
                                                                   "FROM Words "\
                                                                   "WHERE iFileNumber = :iFileNumber " \
                                                                   "  AND cWord_UPPER = :cWord_Upper ");
                                                IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                                IBQuery1->ParamByName("cWord_UPPER")->AsString = String(szWord).UpperCase();
                                                IBQuery1->Open();
                                                IBQuery1->FetchAll();


                                                if(IBQuery1->RecordCount <= 0) {
                                                        iWords++;
                                                        iWordsInSection++;
                                                        IBQuery1->SQL->Clear();
                                                        IBQuery1->SQL->Add("INSERT INTO Words(iFileNumber, iSectionId, cWord, iFileSeek) " \
                                                                           "   VALUES (:iFileNumber, :iSectionId, :cWord, :iFileSeek)");
                                                        IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                                        IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                                                        IBQuery1->ParamByName("iFileSeek")->AsInteger = iScanPos;
                                                        IBQuery1->ParamByName("cWord")->AsString = String(szWord);
                                                        IBQuery1->ExecSQL();
                                                }

                                                iWordIndex = 0;
                                                iNewLines = 0;
                                           }
                                           if(szBuffer[i] == '\n') {
                                                iNewLines++;
                                                // maybe new section ?
                                                if(RadioButton1->Checked == true && iNewLines == StrToInt(weNumLines->Text) + 1) {
                                                        IBQuery1->SQL->Clear();
                                                        IBQuery1->SQL->Add(" UPDATE Sections "\
                                                                           " SET iNewWords = :iNewWords "\
                                                                           " WHERE iFileNumber = :iFileNumber "\
                                                                           "    AND iSectionId = :iSectionId;");
                                                        IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                                        IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                                                        IBQuery1->ParamByName("iNewWords")->AsInteger = iWordsInSection;
                                                        IBQuery1->ExecSQL();
                                                        IBQuery1->Transaction->CommitRetaining();                                                        
                                                        iWordsInSection = 0;

                                                        iSectionId++;
                                                        IBQuery1->SQL->Clear();
                                                        IBQuery1->SQL->Add("INSERT INTO Sections(iFileNumber, iSectionId, iFileSeek) " \
                                                                           "   VALUES (:iFileNumber, :iSectionId, :iFileSeek)");
                                                        IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                                                        IBQuery1->ParamByName("iSectionId")->AsInteger = iSectionId;
                                                        IBQuery1->ParamByName("iFileSeek")->AsInteger = iScanPos;
                                                        IBQuery1->ExecSQL();
                                                }
                                           }

                                           if(isdigit(szBuffer[i])) {
                                                iScanType = 1;
                                                iNewLines = 0;
                                           }

                                        }
                                } else {
                                        if( (!isalpha(szBuffer[i]))
                                                && (!isdigit(szBuffer[i])) ) iScanType = 0;
                                        if(szBuffer[i] == '\n')
                                             iNewLines++;

                                }

                                if(iScanPos % 200 == 0) {
                                                ProgressBar1->Position = iScanPos;
                                }
                        }
                        if(iScanPos >= iFileLength || iBufferSize == 0) break;
                }


                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add("UPDATE FILES "\
                                   "SET iSections = :iSections, iWords = :iWords "\
                                   "WHERE iFileNumber = :iFileNumber ");
                IBQuery1->ParamByName("iFileNumber")->AsInteger = iNewFileNumber;
                IBQuery1->ParamByName("iSections")->AsInteger = iSectionId;
                IBQuery1->ParamByName("iWords")->AsInteger = iWords;
                IBQuery1->ExecSQL();


                IBQuery1->Transaction->Commit();
                } catch (Exception &exception ) {
                        IBQuery1->Transaction->Rollback();
                        Application->ShowException(&exception);
                        ProgressBar1->Visible = false;

                        return;
                }
        }
        else
        if(operation == 1) {

                IBQuery1->Close();
                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add(" UPDATE Files " \
                                   " SET cName = :cName, cFileName = :cFileName "\
                                   " WHERE iFileNumber = :iFileNumber;");

                IBQuery1->ParamByName("cName")->AsString = weName->Text;
                IBQuery1->ParamByName("cFileName")->AsString = weFileName->Text;
                IBQuery1->ParamByName("iFileNumber")->AsInteger = iFileNumber;
                IBQuery1->ExecSQL();

        }
        else
        if(operation == 2) {
                IBQuery1->Close();
                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add("DELETE FROM Files WHERE iFileNumber = :iFileNumber");
                IBQuery1->ParamByName("iFileNumber")->AsInteger = iFileNumber;
                IBQuery1->ExecSQL();

        }
        ModalResult = mrOk;
}
//---------------------------------------------------------------------------


void __fastcall TFileUpdate::FormShow(TObject *Sender)
{
        switch(operation) {
                case 0:
                        this->Caption = String("Files: New entry");
                        this->FocusControl(weName);
                        break;
                case 1:
                        this->Caption = String("Files: Update entry");
                        this->FocusControl(weName);
                        weNumLines->Enabled = false;
                        weNumWords->Enabled = false;
                        RadioButton1->Enabled = false;
                        RadioButton2->Enabled = false;
                      

                        break;
                case 2:
                        this->Caption = String("Files: Delete entry");
                        this->GroupBox1->Enabled = false;
                        weNumLines->Enabled = false;
                        weNumWords->Enabled = false;
                        RadioButton1->Enabled = false;
                        RadioButton2->Enabled = false;
                        weName->Enabled = false;
                        weFileName->Enabled = false;
                        wbt_File->Enabled = false;

                        this->FocusControl(wbt_Cancel);
                        break;
        }

        if(operation > 0) {
                IBQuery1->Close();
                IBQuery1->SQL->Clear();
                IBQuery1->SQL->Add("SELECT cName, cFileName, iSectionType, iSectionSize FROM Files WHERE iFileNumber = :iFileNumber");
                IBQuery1->ParamByName("iFileNumber")->AsInteger = iFileNumber;
                IBQuery1->Open();
                weName->Text = IBQuery1->FieldByName("cName")->AsString;
                weFileName->Text = IBQuery1->FieldByName("cFileName")->AsString;
                if(IBQuery1->FieldByName("iSectionType")->AsInteger == 1) {
                        weNumLines->Text = IBQuery1->FieldByName("iSectionSize")->AsString;
                } else
                {
                        RadioButton1->Checked = false;
                        RadioButton2->Checked = true;
                        if(operation!=2) {
                                weNumLines->Enabled = false;
                                weNumWords->Enabled = true;
                        }
                        weNumWords->Text = IBQuery1->FieldByName("iSectionSize")->AsString;
                }
        }

}
//---------------------------------------------------------------------------

void __fastcall TFileUpdate::RadioButton1Click(TObject *Sender)
{

                weNumWords->Enabled = false;
                weNumLines->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TFileUpdate::RadioButton2Click(TObject *Sender)
{
                weNumWords->Enabled = true;
                weNumLines->Enabled = false;
}
//---------------------------------------------------------------------------

void __fastcall TFileUpdate::wbt_FileClick(TObject *Sender)
{
        if(OpenDialog1->Execute())
                weFileName->Text = OpenDialog1->FileName;
}
//---------------------------------------------------------------------------



