//----------------------------------------------------------------------------
#ifndef MainH
#define MainH
//----------------------------------------------------------------------------
#include "ChildWin.h"
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Messages.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <ActnList.hpp>
#include <ImgList.hpp>
#include <StdActns.hpp>
#include <ToolWin.hpp>
#include <DB.hpp>
#include <IBDatabase.hpp>
//----------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *FileNewItem;
	TMenuItem *FileOpenItem;
	TMenuItem *FileCloseItem;
	TMenuItem *Window1;
	TMenuItem *Help1;
	TMenuItem *N1;
	TMenuItem *FileExitItem;
	TMenuItem *WindowCascadeItem;
	TMenuItem *WindowTileItem;
	TMenuItem *WindowArrangeItem;
	TMenuItem *HelpAboutItem;
	TMenuItem *FileSaveItem;
	TMenuItem *FileSaveAsItem;
	TMenuItem *WindowMinimizeItem;
        TStatusBar *StatusBar;
        TActionList *ActionList1;
        TAction *FileExit1;
        TWindowCascade *WindowCascade1;
        TWindowTileHorizontal *WindowTileHorizontal1;
        TWindowArrange *WindowArrangeAll1;
        TWindowMinimizeAll *WindowMinimizeAll1;
        TAction *HelpAbout1;
        TWindowTileVertical *WindowTileVertical1;
        TMenuItem *WindowTileItem2;
        TMenuItem *Dictionary1;
        TMenuItem *Add1;
        TMenuItem *Update1;
        TMenuItem *Delete1;
        TMenuItem *N2;
        TMenuItem *Dictimport1;
        TMenuItem *Fileimportexport1;
        TMenuItem *Removeduplicates1;
        TMenuItem *Deleteall1;
        TMenuItem *Files1;
        TMenuItem *Add2;
        TMenuItem *Update2;
        TMenuItem *Delete2;
        TMenuItem *N3;
        TMenuItem *WordsperSection1;
        TMenuItem *Practise1;
        TMenuItem *ExporttoSuperMemo1;
        TMenuItem *N4;
        TMenuItem *Copywordswithoutdefinitiontodictionary1;
        void __fastcall HelpAbout1Execute(TObject *Sender);
        void __fastcall FileExit1Execute(TObject *Sender);
        void __fastcall DictAddExecute(TObject *Sender);
        void __fastcall Update1Click(TObject *Sender);
        void __fastcall Delete1Click(TObject *Sender);
        void __fastcall Dictimport1Click(TObject *Sender);
        void __fastcall Fileimportexport1Click(TObject *Sender);
        void __fastcall Removeduplicates1Click(TObject *Sender);
        void __fastcall Deleteall1Click(TObject *Sender);
        void __fastcall Add2Click(TObject *Sender);
        void __fastcall Update2Click(TObject *Sender);
        void __fastcall Delete2Click(TObject *Sender);
        void __fastcall WordsperSection1Click(TObject *Sender);
        void __fastcall Practise1Click(TObject *Sender);
        void __fastcall ExporttoSuperMemo1Click(TObject *Sender);
        void __fastcall Copywordswithoutdefinitiontodictionary1Click(
          TObject *Sender);
private:
	void __fastcall CreateMDIChild(const String Name);
public:
	virtual __fastcall TMainForm(TComponent *Owner);
};
//----------------------------------------------------------------------------
extern TMainForm *MainForm;
extern TMDIChild *__fastcall MDIChildCreate(void);
//----------------------------------------------------------------------------
#endif    
