//---------------------------------------------------------------------------

#ifndef practiseH
#define practiseH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <DB.hpp>
#include <IBCustomDataSet.hpp>
#include <IBQuery.hpp>
#include <ComCtrls.hpp>
#include <queue>
//---------------------------------------------------------------------------
class TPractiseF : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TEdit *weFrom;
        TLabel *Label2;
        TEdit *weTo;
        TBitBtn *wbtOk;
        TBitBtn *wbtCancel;
        TIBQuery *IBQueryWords;
        TIBQuery *IBQueryDict;
        TButton *wbtIKnow;
        TButton *wbtDontKnow;
        TButton *wbtStop;
        TGroupBox *GroupBox2;
        TMemo *weWord;
        TMemo *weDefinition;
        TButton *wbtAnswer;
        TStatusBar *StatusBar1;
        void __fastcall wbtOkClick(TObject *Sender);
        void __fastcall wbtIKnowClick(TObject *Sender);
        void __fastcall wbtDontKnowClick(TObject *Sender);
        void __fastcall wbtAnswerClick(TObject *Sender);
private:	// User declarations
        int iFileNumber;
        std::queue < String > words;
        void GetNextWord(void);
        int iWordsCount;
public:		// User declarations
        __fastcall TPractiseF(TComponent* Owner);
        __fastcall TPractiseF(TComponent* Owner, int iFileNmbr, int iSections);
};
//---------------------------------------------------------------------------
extern PACKAGE TPractiseF *PractiseF;
//---------------------------------------------------------------------------
#endif
